> For the complete documentation index, see [llms.txt](https://docs.projetly.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.projetly.ai/home/api-reference/projects.md).

# Projects

## All Projects

> This endpoint is used to fetch all projects for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/":{"get":{"operationId":"project_info_list","description":"This endpoint is used to fetch all projects for the current organization","summary":"All Projects","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Projects"}}}},"description":""}}}}}}
```

## Creates a new project

> This endpoint is used to save a new project for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/project/info/":{"post":{"operationId":"project_info_create","description":"This endpoint is used to save a new project for the current organization","summary":"Creates a new project","tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a project with the given id

> This endpoint is used to fetch a project detail for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/":{"get":{"operationId":"project_info_retrieve","description":"This endpoint is used to fetch a project detail for the current organization","summary":"Gets a project with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## Edits the project with the given id

> This endpoint is used to edit an project for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/project/info/{id}/":{"put":{"operationId":"project_info_update","description":"This endpoint is used to edit an project for the current organization","summary":"Edits the project with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"200":{"description":"No response body"}}}}}}
```

## Deletes the project with the given id

> This endpoint is used to delete an project for the current organization

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/project/info/{id}/":{"delete":{"operationId":"project_info_destroy","description":"This endpoint is used to delete an project for the current organization","summary":"Deletes the project with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /api/project/info/{id}/assign-partner-owner/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/assign-partner-owner/":{"post":{"operationId":"project_info_assign_partner_owner_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/custom-fields/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/custom-fields/":{"post":{"operationId":"project_info_custom_fields_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## PUT /api/project/info/{id}/custom-fields/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/custom-fields/":{"put":{"operationId":"project_info_custom_fields_update","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## DELETE /api/project/info/{id}/custom-fields/{field\_id}/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}}},"paths":{"/api/project/info/{id}/custom-fields/{field_id}/":{"delete":{"operationId":"project_info_custom_fields_destroy","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"field_id","schema":{"type":"string"},"required":true},{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /api/project/info/{id}/customer-invite-status/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/customer-invite-status/":{"get":{"operationId":"project_info_customer_invite_status_retrieve","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## GET /api/project/info/{id}/deal-memory/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/deal-memory/":{"get":{"operationId":"project_info_deal_memory_retrieve","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/deal-memory/detect-topics/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/deal-memory/detect-topics/":{"post":{"operationId":"project_info_deal_memory_detect_topics_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/deal-memory/rephrase/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/deal-memory/rephrase/":{"post":{"operationId":"project_info_deal_memory_rephrase_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/deal-memory/save/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/deal-memory/save/":{"post":{"operationId":"project_info_deal_memory_save_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## GET /api/project/info/{id}/partner-invite-status/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/partner-invite-status/":{"get":{"operationId":"project_info_partner_invite_status_retrieve","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/send-customer-invite/{user\_id}/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/send-customer-invite/{user_id}/":{"post":{"operationId":"project_info_send_customer_invite_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"path","name":"user_id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/send-customer-invites/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/send-customer-invites/":{"post":{"operationId":"project_info_send_customer_invites_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/send-partner-invite/{user\_id}/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/send-partner-invite/{user_id}/":{"post":{"operationId":"project_info_send_partner_invite_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true},{"in":"path","name":"user_id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/send-partner-invites/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/send-partner-invites/":{"post":{"operationId":"project_info_send_partner_invites_create","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/Projects"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Projects"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## GET /api/project/info/{id}/widget-settings/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_revenue":{"type":"string","readOnly":true},"formatted_other_revenue":{"type":"string","readOnly":true},"other_revenue":{"type":"string","readOnly":true},"custom_fields":{"type":"array","items":{}},"created_by":{"type":"string","nullable":true},"invite_type":{"type":"string","nullable":true}},"required":["calculated_revenue","currency_unit","current_pipe_stage","current_stage","customer_project_owner","formatted_deal_value","formatted_other_revenue","formatted_revenue","insights","milestone_status","object_source","other_revenue","partner_orgs","pipeline_stages","project_id","project_owner","project_score","project_team","project_type_str","recent_activities","stages","template_desc","template_name","time_left","time_spent"]}}},"paths":{"/api/project/info/{id}/widget-settings/":{"get":{"operationId":"project_info_widget_settings_retrieve","description":"API endpoint that allows projects to be created, viewed, deleted or edited.","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Projects"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Projects"}}},"description":""}}}}}}
```

## POST /api/project/info/{id}/widget-settings/

> API endpoint that allows projects to be created, viewed, deleted or edited.

```json
{"openapi":"3.0.3","info":{"title":"Projetly API","version":"1.0.0"},"servers":[{"url":"https://api.app.projetly.io"}],"security":[{"bearerAuth":[]},{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"JWT token obtained from /api/login/. Pass as: Authorization: Bearer <token>"}},"schemas":{"Projects":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"project_id":{"type":"string","maxLength":25},"project_name":{"type":"string"},"description":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"due_date":{"type":"string","format":"date-time"},"project_score":{"type":"string","readOnly":true},"tasks_count":{"type":"integer"},"milestones_count":{"type":"integer"},"phase":{"type":"object","additionalProperties":{}},"tags":{"type":"array","items":{}},"project_manager":{"type":"object","additionalProperties":{}},"is_arr":{"type":"boolean"},"revenue":{"type":"integer"},"show_forecasted_date":{"type":"boolean"},"forecasted_date":{"type":"string","format":"date-time"},"project_fee":{"type":"integer"},"project_owner":{"type":"string","readOnly":true},"status":{"type":"object","additionalProperties":{}},"template_id":{"type":"string"},"currency_unit":{"type":"string","readOnly":true},"stages":{"type":"string","readOnly":true},"project_team":{"type":"string","readOnly":true},"visible_to_all":{"type":"boolean","default":true},"account_id":{"type":"string","maxLength":25},"insights":{"type":"string","readOnly":true},"current_stage":{"type":"string","readOnly":true},"milestone_status":{"type":"string","readOnly":true},"recent_activities":{"type":"string","readOnly":true},"time_left":{"type":"string","readOnly":true},"time_spent":{"type":"string","readOnly":true},"customer_project_owner":{"type":"string","readOnly":true},"partner_orgs":{"type":"string","readOnly":true},"project_type_str":{"type":"string","readOnly":true},"project_type":{"type":"string"},"billing_model":{"type":"string"},"billing_frequency":{"type":"string"},"hourly_rate":{"type":"integer"},"monthly_rate":{"type":"integer"},"expected_onboarding_fee":{"type":"integer"},"project_duration":{"type":"integer"},"external_map":{"type":"object","additionalProperties":{},"nullable":true},"template_name":{"type":"string","readOnly":true},"template_desc":{"type":"string","readOnly":true},"pipeline_id":{"type":"string","nullable":true},"calculated_revenue":{"type":"string","readOnly":true},"object_source":{"type":"string","readOnly":true},"current_milestone_id":{"type":"string","nullable":true},"position":{"type":"integer"},"expected_deal_value":{"type":"integer"},"deal_resources":{"type":"integer"},"contract_duration":{"type":"integer"},"pipeline_stages":{"type":"string","readOnly":true},"current_pipe_stage":{"type":"string","readOnly":true},"formatted_deal_value":{"type":"string","readOnly":true},"formatted_
[...]
